Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.maintenance
Interface ScopeDescription

    @UML(identifier="MD_ScopeDescription",
         specification=ISO_19115)
    public interface ScopeDescription

Description of the class of information covered by the information.

Since:
  GeoAPI 2.0

Method Summary
`Set<? extends AttributeType>` | `getAttributeInstances()` Attribute instances to which the information applies.
`Set<? extends AttributeType>` | `getAttributes()` Attributes to which the information applies.
`String` | `getDataset()` Dataset to which the information applies.
`Set<? extends FeatureType>` | `getFeatureInstances()` Feature instances to which the information applies.
`Set<? extends FeatureType>` | `getFeatures()` Features to which the information applies.
`String` | `getOther()` Class of information that does not fall into the other categories to which the information applies.

Method Detail

### getAttributes

    @UML(identifier="attributes",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Set<? extends AttributeType> getAttributes()

  Attributes to which the information applies.

### getFeatures

    @UML(identifier="features",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Set<? extends FeatureType> getFeatures()

  Features to which the information applies.

### getFeatureInstances

    @UML(identifier="featureInstances",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Set<? extends FeatureType> getFeatureInstances()

  Feature instances to which the information applies.

### getAttributeInstances

    @UML(identifier="attributeInstances",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Set<? extends AttributeType> getAttributeInstances()

  Attribute instances to which the information applies.

  Since:
    GeoAPI 2.1

### getDataset

    @UML(identifier="dataset",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    String getDataset()

  Dataset to which the information applies.

  Since:
    GeoAPI 2.1

### getOther

    @UML(identifier="other",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    String getOther()

  Class of information that does not fall into the other categories to which the information applies.

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.